Name:          jsonassert
Version:       1.4.0
Release:       7%{?dist}
Summary:       JUnit extension to write JSON unit tests
# Source files are without license headers https://github.com/skyscreamer/JSONassert/issues/70
License:       ASL 2.0
URL:           http://jsonassert.skyscreamer.org/
Source0:       https://github.com/skyscreamer/JSONassert/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
# android-json-org-java
BuildRequires: mvn(org.json:json)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
JSONassert extends JUnit to write powerful JSON unit tests
in very little code. Code JSON tests as if you are comparing
a string. Under the covers, JSONassert converts your string
into a JSON object and compares the logical structure and
data with the actual JSON.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n JSONassert-%{name}-%{version}

# com.vaadin.external.google:android-json:0.0.20131108.vaadin1
%pom_change_dep com.vaadin.external.google:android-json org.json:json

%pom_remove_plugin :maven-site-plugin
%pom_xpath_remove pom:build/pom:extensions

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG.md README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Oct 30 2016 gil cattaneo <puntogil@libero.it> 1.4.0-1
- update to 1.4.0

* Sun Jan 25 2015 gil cattaneo <puntogil@libero.it> 1.2.3-1
- initial rpm
